Bug 488649 - GNU bash crashes when using \ and tabbing when using xterm/konsole/gnome-terminal
GNU bash crashes when using \ and tabbing when using xterm/konsole/gnome-term...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 20:49 EST by Shawn Starr
Modified: 2014-01-12 19:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2009-03-04 20:49:07 EST
Description of problem:
Trying to expand filenames with spaces crashes bash

Version-Release number of selected component (if applicable):
4.0.0(1)

RPM: bash-4.0-2.fc11.i586

How reproducible:
100%

Steps to Reproduce:
1) using xterm, konsole, gnome-terminal 

type:

hello " \ <press tab.

Warning: Program '/bin/bash' crashed  (says konsole)
  
Actual results:
Bash shell crashes

Expected results:
Doesn't crash

Additional info:

* Does not seem to crash when using real ttys or ssh ttys.
Comment 1 Shawn Starr 2009-03-04 20:50:07 EST
Just to repeat

type:  [command] " \ <then press tab key> observe crash
Comment 2 Ville Skyttä 2009-03-05 13:15:45 EST
bash crashes need to be fixed in bash itself, reassigning.
Comment 3 Roman Rakus 2009-03-13 06:53:18 EDT
I can't reproduce it... nevertheless, can you try bash-4.0-3?
Comment 4 Jon Dufresne 2009-03-16 10:27:38 EDT
Thank you for taking the time to report this bug. This bug is incomplete as it is missing information. You'll need to add a stack trace; please make sure you have debuginfo packages installed and see http://fedoraproject.org/wiki/StackTraces
for more information about getting a useful stack trace. 
Thank you.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Shawn Starr 2009-03-16 13:34:22 EDT
Will attempt to reproduce with today's rawhide snapshot.
Comment 6 Shawn Starr 2009-03-19 01:33:25 EDT
I have the gdb stack trace

Reproduced with:  hello | world " \ < press tab>  within konsole/gnome-terminal/xterm

(gdb) bt
#0  0x00234422 in __kernel_vsyscall ()
#1  0x00458871 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0045a184 in *__GI_abort () at abort.c:88
#3  0x0049d27b in malloc_printerr (action=2, str=0x6 <Address 0x6 out of bounds>, ptr=0x88b1470) at malloc.c:5989
#4  0x004a142a in *__GI___libc_free (mem=0x0) at malloc.c:3589
#5  0x080c8db8 in rl_filename_completion_function (text=0x88da458 " \\", state=0) at complete.c:2137
#6  0x080c9f35 in rl_completion_matches (text=0x88da458 " \\", entry_function=0x80c8c60 <rl_filename_completion_function>)
    at complete.c:1887
#7  0x080cb363 in rl_complete_internal (what_to_do=9) at complete.c:1746
#8  0x080c36f1 in _rl_dispatch_subseq (key=9, map=0x8110bc0, got_subseq=0) at readline.c:820
#9  0x080c3a85 in _rl_dispatch (key=9, map=0x8110bc0) at readline.c:770
#10 0x080c3e1c in readline_internal_char () at readline.c:599
#11 0x080c423d in readline_internal_charloop () at readline.c:626
#12 readline_internal () at readline.c:640
#13 e () at readline.c:384
#14 0x08061847 in yy_readline_get () at ./parse.y:1314
#15 0x08062a76 in yy_getc () at ./parse.y:1247
#16 shell_getc () at ./parse.y:2094
#17 0x08064f82 in read_token (command=<value optimized out>, command=<value optimized out>) at ./parse.y:2727
#18 0x08067acb in yylex () at ./parse.y:2360
#19 yyparse () at y.tab.c:2010
#20 0x08060370 in parse_command () at eval.c:229
#21 0x0806043f in read_command () at eval.c:273
#22 0x08060697 in reader_loop () at eval.c:138
---Type <return> to continue, or q <return> to quit---
#23 0x0805fd02 in main (argc=1, argv=0xbf831e44, env=0xbf831e4c) at shell.c:751
Comment 7 Shawn Starr 2009-03-19 01:34:32 EDT
I was testing -2 lemme get -3 from koji
Comment 8 Shawn Starr 2009-03-19 01:38:58 EDT
-3 build:

#0  0x00e04422 in __kernel_vsyscall ()
#1  0x00872871 in *__GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x00874184 in *__GI_abort () at abort.c:88
#3  0x008b727b in malloc_printerr (action=2, str=0x6 <Address 0x6 out of bounds>, ptr=0x89f46e8)
    at malloc.c:5989
#4  0x008bb42a in *__GI___libc_free (mem=0x0) at malloc.c:3589
#5  0x080c9278 in rl_filename_completion_function (text=0x89ea6a0 " \\", state=0)
    at complete.c:2137
#6  0x080ca3f5 in rl_completion_matches (text=0x89ea6a0 " \\",
    entry_function=0x80c9120 <rl_filename_completion_function>) at complete.c:1887
#7  0x080cb833 in rl_complete_internal (what_to_do=9) at complete.c:1746
#8  0x080c3bc1 in _rl_dispatch_subseq (key=9, map=0x8110fe0, got_subseq=0) at readline.c:820
#9  0x080c3f55 in _rl_dispatch (key=9, map=0x8110fe0) at readline.c:770
#10 0x080c42ec in readline_internal_char () at readline.c:599
#11 0x080c470d in readline_internal_charloop () at readline.c:626
#12 readline_internal () at readline.c:640
#13 e () at readline.c:384
#14 0x08061877 in yy_readline_get () at ./parse.y:1314
#15 0x08062aa6 in yy_getc () at ./parse.y:1247
#16 shell_getc () at ./parse.y:2096
#17 0x08065262 in read_token (command=<value optimized out>) at ./parse.y:2730
#18 0x08067dab in yylex () at ./parse.y:2362
#19 yyparse () at y.tab.c:2010
#20 0x08060370 in parse_command () at eval.c:229
#21 0x0806043f in read_command () at eval.c:273
#22 0x08060697 in reader_loop () at eval.c:138
#23 0x0805fd02 in main (argc=1, argv=0xbfc41254, env=0xbfc4125c) at shell.c:751

Same result
Comment 9 Roman Rakus 2009-03-19 05:48:11 EDT
This looks similar to  Bug #490322. Do you have installed bash-completion?
Comment 10 Shawn Starr 2009-03-24 12:25:38 EDT
bash-completion is not installed, no
Comment 11 Roman Rakus 2009-03-25 11:46:10 EDT
What files do you have in your actual directory?
I'm still unable to reproduce it...
Comment 12 Shawn Starr 2009-03-25 12:18:21 EDT
No files in any directory. 

you have to be running X, I am using KDE however as the environment. I will test to see if bash crashes in GNOME.
Comment 13 Shawn Starr 2009-06-08 16:10:45 EDT
Still crashes... KDE, GNOME..xterm..
Comment 14 Shawn Starr 2009-06-08 16:20:43 EDT
Try this

Greatest Guitar Solos - 000 This Music Band - music.mp3
My Name - Resume.doc
My Name - Resume.pdf
My Name - Resume.odt
Directory Name v2.10
Comment 15 Shawn Starr 2009-06-08 16:28:02 EDT
This is the directory its crashing in:


000-1-FI1236.pdf         encoding                 local                remote
1011.asx                 extender.png             looneys.mid          reu.img
2009                     fedora                   looneytn.mid         rpmbuild
364-26041-0-UDA1380.pdf  fedora-browser-cert.p12  Mail                 snow
a                        files                    marsweather          sources
amsn_received            georam.img               marsweather.tar.bz2  t
autosave                 goo                      me                   TDA9885_TDA9886_2.pdf
backup                   goober                   mp3                  Templates
bbc-gadget.mov           gu1.5.rar                MULE.D64             test.c
boot.iso                 imgs                     MULE.D64.bak         test.img
c64-games                intel_amt_overview.pdf   Music                tmp
darkglass                JMKA11.rar               newME                Videos
darkglass-dev            kde                      packages             virtualbox
dbm                      key                      Pictures             webkit
Desktop                  kmail.eventsrc           pizza                xf86-video-avivo
Documents                kmailrc                  plasma.crash
Downloads                kmailsnippetrc           prime.cpp
dropbox                  kvm                      Public
Comment 16 Shawn Starr 2009-06-08 16:29:28 EDT
Better listing:

-rw-r--r--.  1 spstarr spstarr    138822 2009-05-21 10:09 000-1-FI1236.pdf
-rw-r--r--.  1 spstarr spstarr       137 2009-05-21 10:13 1011.asx        
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:16 2009            
-rw-r--r--.  1 spstarr spstarr    303647 2009-05-21 10:16 364-26041-0-UDA1380.pdf
-rwxrwxr-x.  1 spstarr spstarr      8822 2009-06-05 18:21 a                      
drwx------.  2 spstarr spstarr      4096 2009-06-08 10:57 amsn_received          
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:13 autosave               
drwxrwxr-x.  4 spstarr spstarr      4096 2009-05-21 10:07 backup                 
-rw-r--r--.  1 spstarr spstarr   2048000 2009-05-21 10:06 bbc-gadget.mov         
-rw-r--r--.  1 spstarr spstarr 154140672 2009-05-24 02:35 boot.iso               
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-21 10:15 c64-games              
drwxr-xr-x.  4 spstarr spstarr      4096 2009-05-21 10:16 darkglass              
drwxrwxr-x.  6 spstarr spstarr      4096 2009-05-22 21:12 darkglass-dev          
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 13:42 dbm                    
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-22 00:53 Desktop                
drwxr-xr-x.  2 spstarr spstarr      4096 2009-06-08 16:25 Documents              
drwx------.  3 spstarr spstarr      4096 2009-06-08 16:26 Downloads              
drwxrwxr-x.  2 spstarr spstarr      4096 2009-06-03 11:03 dropbox                
-rw-r--r--.  1 spstarr spstarr        76 2009-05-21 10:16 encoding               
-rw-r--r--.  1 spstarr spstarr   1341998 2009-05-21 10:16 extender.png           
drwxrwxr-x.  6 spstarr spstarr      4096 2009-05-21 10:06 fedora                 
-rw-r--r--.  1 spstarr spstarr      3445 2009-05-21 10:21 fedora-browser-cert.p12
drwxr-xr-x.  4 spstarr spstarr      4096 2009-05-30 11:23 files                  
-rw-r--r--.  1 spstarr spstarr   4194304 2009-05-21 10:16 georam.img             
-rwxr-x---.  1 spstarr spstarr         0 2009-06-02 22:03 goo                    
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-21 10:07 goober                 
-rw-r--r--.  1 spstarr spstarr    435651 2009-05-21 10:06 gu1.5.rar              
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-21 10:15 imgs                   
-rw-r--r--.  1 spstarr spstarr    168922 2009-05-21 10:16 intel_amt_overview.pdf 
-rw-r--r--.  1 spstarr spstarr    437461 2009-05-21 10:13 JMKA11.rar             
drwxrwxr-x.  4 spstarr spstarr      4096 2009-05-21 10:09 kde                    
-rw-r--r--.  1 spstarr spstarr        43 2009-05-21 10:06 key                    
-rw-------.  1 spstarr spstarr        59 2009-05-22 13:21 kmail.eventsrc         
-rw-------.  1 spstarr spstarr     47252 2009-05-22 13:21 kmailrc                
-rw-------.  1 spstarr spstarr        69 2009-05-22 13:21 kmailsnippetrc         
drwxrwxr-x.  2 spstarr spstarr      4096 2009-06-03 12:18 kvm                    
-rw-r--r--.  1 spstarr spstarr     12884 2009-05-21 10:10 local                  
-rw-r--r--.  1 spstarr spstarr      2580 2009-05-21 10:10 looneys.mid            
-rw-r--r--.  1 spstarr spstarr     19218 2009-05-21 10:21 looneytn.mid
drwx------. 18 spstarr spstarr      4096 2009-06-08 16:02 Mail
drwxrwxr-x.  3 spstarr spstarr      4096 2009-05-21 10:16 marsweather
-rw-r--r--.  1 spstarr spstarr      1876 2009-05-21 10:21 marsweather.tar.bz2
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:23 me
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:16 mp3
-rw-r--r--.  1 spstarr spstarr    174848 2009-05-21 10:16 MULE.D64
-rw-r--r--.  1 spstarr spstarr    174848 2009-05-21 10:16 MULE.D64.bak
drwxr-xr-x.  3 spstarr spstarr      4096 2009-05-21 10:23 Music
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:23 newME
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:06 packages
drwxr-xr-x.  4 spstarr spstarr      4096 2009-05-21 10:23 Pictures
-rw-r--r--.  1 spstarr spstarr       588 2009-05-21 10:09 pizza
-rw-r--r--.  1 spstarr spstarr     11234 2009-05-21 10:16 plasma.crash
-rw-rw-r--.  1 spstarr spstarr       446 2009-06-05 19:20 prime.cpp
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-21 10:10 Public
-rw-r--r--.  1 spstarr spstarr     12884 2009-05-21 10:16 remote
-rw-r--r--.  1 spstarr spstarr  16777216 2009-05-21 10:16 reu.img
drwxrwxr-x.  8 spstarr spstarr      4096 2009-05-21 10:15 rpmbuild
drwxrwxr-x.  2 spstarr spstarr      4096 2009-05-21 10:06 snow
drwxrwxr-x.  5 spstarr spstarr      4096 2009-05-21 10:16 sources
-rw-r--r--.  1 spstarr spstarr     24743 2009-05-24 18:38 t
-rw-r--r--.  1 spstarr spstarr    254926 2009-05-21 10:21 TDA9885_TDA9886_2.pdf
drwxr-xr-x.  2 spstarr spstarr      4096 2009-05-21 10:23 Templates
-rw-rw-r--.  1 spstarr spstarr       232 2009-05-25 21:51 test.c
-rw-r--r--.  1 spstarr spstarr  41943040 2009-05-21 10:07 test.img
drwxrwxr-x.  3 spstarr spstarr      4096 2009-05-24 03:34 tmp
drwxr-xr-x.  3 spstarr spstarr      4096 2009-05-21 10:16 Videos
drwxr-xr-x.  3 spstarr spstarr      4096 2009-06-03 12:09 virtualbox
drwxr-xr-x. 17 spstarr spstarr      4096 2009-05-25 00:30 webkit
drwxr-xr-x.  7 spstarr spstarr      4096 2009-05-23 15:31 xf86-video-avivo
Comment 17 Roman Rakus 2009-06-09 07:23:41 EDT
Thanks for list. Can you please provide list with quoted nongraphic characters? something like `ls -lab'
Thanks.
Comment 18 Bug Zapper 2009-06-09 07:53:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-04-27 09:06:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2010-06-28 07:23:55 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.